<?php
/*
 * File: Contact form
 * Description: Used in contact form to send emails, requires PHP and working mail() function.
 */


session_start();
$GLOBALS['pf_site_name'] = 'The Portfolio of Kiya Appling';
$GLOBALS['pf_target_email'] = 'kiya@kiyaappling.com';


$GLOBALS['pf_use_captcha'] = 0;
$GLOBALS['pf_mail_sent'] = 0;
$GLOBALS['pf_error'] = 0;

if (isset($_POST['pf_name']))    { $GLOBALS['pf_name'] =    strip_tags(stripslashes(trim(($_POST['pf_name']))));    } else { $GLOBALS['pf_name'] = ''; }
if (isset($_POST['pf_email']))   { $GLOBALS['pf_email'] =   strip_tags(stripslashes(trim(($_POST['pf_email']))));   } else { $GLOBALS['pf_email'] = ''; }
if (isset($_POST['pf_message'])) { $GLOBALS['pf_message'] = strip_tags(stripslashes(trim(($_POST['pf_message'])))); } else { $GLOBALS['pf_message'] = ''; }
if (isset($_POST['pf_captcha'])) { $GLOBALS['pf_captcha'] = strip_tags(stripslashes(trim(($_POST['pf_captcha'])))); } else { $GLOBALS['pf_captcha'] = ''; }

/*check for errors after submit*/
// name
if( $GLOBALS['pf_name'] == '' ){ $GLOBALS['pf_error']= $GLOBALS['pf_error']+1; }

// email
if( $GLOBALS['pf_email'] == '' ){ $GLOBALS['pf_error']= $GLOBALS['pf_error']+1; }

// message
if( $GLOBALS['pf_message'] == '' ){ $GLOBALS['pf_error']= $GLOBALS['pf_error']+1; }

//captcha
if ($GLOBALS['pf_use_captcha']==1) {
    if( $GLOBALS['pf_captcha'] == '' || $GLOBALS['pf_captcha'] != $_SESSION['pf_captcha']) { $GLOBALS['pf_error']= $GLOBALS['pf_error']+1; }
}



// no error on submit, then send email
if( $GLOBALS['pf_error']==0){

    // your email address
    $address = $GLOBALS['pf_target_email'];

    // email subject
    $subject = $GLOBALS['pf_site_name']." - Thank You for Contacting me, Kiya Appling web developer";

    // email content
    $content = "Name: ".$GLOBALS['pf_name']. "\r\n";
    $content = $content."Email address: ".$GLOBALS['pf_email']. "\r\n";
    $content = $content."Message: ".$GLOBALS['pf_message']. "\r\n";

    $content = wordwrap($content, 70, "\r\n");

    // email headers
    $headers  = 'MIME-Version: 1.0' . "\r\n";
    $headers .= 'Content-type: text/plain; charset=utf-8' . "\r\n";
    $headers .= "From: ".$GLOBALS['pf_email']." <".$GLOBALS['pf_email'].">" . "\r\n";

    // send email
    mail($address, $subject, $content);

    // reset variables
    $GLOBALS['pf_name'] = '';
    $GLOBALS['pf_email'] = '';
    $GLOBALS['pf_message'] = '';
    $GLOBALS['pf_captcha'] = '';

    $GLOBALS['pf_mail_sent'] = 1;
}


/* Generate Captcha */
if ($GLOBALS['pf_use_captcha']==1) {
    $num = rand(1, 20);
    $num2 = rand(1, 9);

    $GLOBALS['pf_captcha_numbers'] = $num . "+" . $num2;
    $_SESSION['pf_captcha'] = $num + $num2;
}
?>



<?php if ($GLOBALS['pf_mail_sent']==0): ?>

    <?php if ($GLOBALS['pf_error']>0): ?>
        Errors found in the form. Please correct errors and submit the form again.
    <?php endif; ?>

<?php endif; ?>

<?php if ($GLOBALS['pf_mail_sent']==1): ?>
    Thank you for reaching out, I will correspond with you soon!.
<?php endif; ?>
